DATA_SECTION
  init_int K
  init_int n
  init_vector x(1,n)
  init_matrix Y(1,K,1,n)

PARAMETER_SECTION
  init_number mu1
  init_number phi2
  init_number phi3
  init_number log_sigma
  init_number log_sigma1(3)

  random_effects_vector u(1,K,2)

  sdreport_number sigma
  number sigma1
  vector phi1(1,K)
  matrix eta(1,K,1,n)

  objective_function_value f

PROCEDURE_SECTION
  sigma = exp(log_sigma);
  sigma1 = exp(log_sigma1);
  phi1 = mu1 + u*sigma1;
  for(int i=1; i<=K; i++)
  {
    for(int j=1; j<=n; j++)
    {
      eta(i,j) = phi1(i) / (1.0 + exp(-(x(j)-phi2)/phi3));
    }
  }
  f = (K*n)*log(sigma) + norm2(Y-eta)/(2*sigma*sigma);
  f += 0.5 * norm2(u);
