GLOBALS_SECTION
  #include "admodel.h"
  const double pi = 3.141592654;

DATA_SECTION
  init_int n
  init_vector x(1,n)
  init_vector y(1,n)

PARAMETER_SECTION
  init_number b0
  init_number b1
  init_number logsigma
  sdreport_number sigma
  vector yfit(1,n)
  matrix summary(1,n,1,3)  // | x | y | yfit |
  objective_function_value f

PROCEDURE_SECTION
  yfit = b0 + b1*x;
  sigma = mfexp(logsigma);
  f = 0.5*n*log(2*pi) + n*logsigma + sum(square(y-yfit))/(2*square(sigma));

REPORT_SECTION
  get_summary();
  report << "# b0"    << endl << b0                  << endl
         << "# b1"    << endl << b1                  << endl
         << "# RSS"   << endl << sum(square(y-yfit)) << endl
         << "# sigma" << endl << sigma               << endl
         << "# f"     << endl << f           << endl << endl;
  report << "# Model summary" << endl
         << " x y yfit"       << endl
         << summary           << endl;

FUNCTION get_summary
  summary.colfill(1,x);
  summary.colfill(2,y);
  summary.colfill(3,yfit);
