GLOBALS_SECTION
  #include "admodel.h"
  const double pi = 3.141592654;

DATA_SECTION
  init_int n
  init_matrix data(1,n,1,2)
  vector a(1,n)
  vector L(1,n)

PARAMETER_SECTION
  init_number Linf
  init_number K
  init_number t0
  init_number logSigma
  sdreport_number sigma
  vector Lfit(1,n)
  number RSS
  objective_function_value f

PRELIMINARY_CALCS_SECTION
  a = column(data,1);
  L = column(data,2);
  Linf = 1.1 * max(L);  // sensible starting value

PROCEDURE_SECTION
  Lfit = Linf * (1.0-exp(-K*(a-t0)));
  RSS = sum(square(L-Lfit));
  sigma = exp(logSigma);
  f = 0.5*n*log(2*pi) + n*logSigma + RSS/(2.0*square(sigma));

REPORT_SECTION
  report << "# a"    << endl;
  report <<    a     << endl;
  report << "# L"    << endl;
  report <<    L     << endl;
  report << "# Lfit" << endl;
  report <<    Lfit  << endl;
